package com.nisum.offertransactionservice.client;

import com.nisum.offertransactionservice.dto.PERequest;
import com.nisum.offertransactionservice.dto.PEResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PostMapping;

@FeignClient(name = "${storeproducer.application.name}")
public interface StoreProducerFeignClient {

    @PostMapping(value = "${endpoint.url.storeProducerUrl}")
    ResponseEntity<String> callStoreProducer(String transactionId);
}
